## haskelldb 0.9.cvs.601

=== Makefile ===
TOP_DIR = .

SUBDIRS = doc test

include $(TOP_DIR)/rules.mk

DIST_DIR = haskelldb-$(PACKAGE_VERSION)

ALL_COMPILERS               = $(addprefix all-,$(COMPILERS))
INSTALL_COMPILERS           = $(addprefix install-,$(COMPILERS))
INSTALL_FILESONLY_COMPILERS = $(addprefix install-filesonly-,$(COMPILERS))
UNINSTALL_COMPILERS         = $(addprefix uninstall-,$(COMPILERS))
CLEAN_COMPILERS             = $(addprefix clean-,$(COMPILERS))

.PHONY: install uninstall \
	dist distclean maintainer-clean \
        $(ALL_COMPILERS) \
        $(INSTALL_COMPILERS) \
        $(INSTALL_FILESONLY_COMPILERS) \
	$(UNINSTALL_COMPILERS) \
        $(CLEAN_COMPILERS)

$(ALL_COMPILERS):
	$(MAKE) -f $(subst all-,Makefile., $@) all

$(INSTALL_COMPILERS):
	$(MAKE) -f $(subst install-,Makefile., $@) install

$(INSTALL_FILESONLY_COMPILERS):
	$(MAKE) -f $(subst install-filesonly-,Makefile., $@) install-filesonly

$(UNINSTALL_COMPILERS):
	$(MAKE) -f $(subst uninstall-,Makefile., $@) uninstall

$(CLEAN_COMPILERS):
	$(MAKE) -f $(subst clean-,Makefile., $@) clean

default all: $(ALL_COMPILERS)

configure: configure.ac aclocal.m4
	autoconf

config.status: configure
	./config.status --recheck

# Causes autoconf and configure to be run when doing clean
#config.mk: config.mk.in config.status
#	./config.status

# Should be in Makefile.ghc
haskelldb.pkg: haskelldb.pkg.in config.status
	./config.status

install: all $(INSTALL_COMPILERS)

uninstall: $(UNINSTALL_COMPILERS)

clean: $(CLEAN_COMPILERS)
	-rm -rf $(BUILD_DIR)

dist:
	mkdir $(DIST_DIR)
	cvs export -d $(DIST_DIR) -rHEAD haskelldb
	cd $(DIST_DIR) && autoconf && rm -rf autom4te.cache
	find $(DIST_DIR) -name .cvsignore -exec rm -f {} ';'
	tar -zcf $(DIST_DIR).tar.gz $(DIST_DIR)
	zip -r $(DIST_DIR).zip $(DIST_DIR)
	rm -rf $(DIST_DIR)

distclean: clean
	-rm -f config.status config.mk config.log haskelldb.pkg
	-rm -rf autom4te.cache

maintainer-clean: distclean
	-rm -f *.tar.gz *.zip

=== doc/Makefile ===
TOP_DIR = ..

SUBDIRS = api

include $(TOP_DIR)/rules.mk

all: api

=== test/Makefile ===
TOP_DIR = ..

include $(TOP_DIR)/config.mk

PROG = hardcoded-layout-simple-query join-and-aggr html-users-list \
       current-time date-types \
       insert-update-delete test-bounded transaction lazy \
       higher-order big-test null-and-case default-auto-inc \
       join-without-restrict test-sum test-non-ascii

.PHONY: all

all: $(PROG)

%: %.hs TestConnect.hs
	ghc --make -fcontext-stack30 -package haskelldb -o $@ $<

clean:
	-rm -f $(PROG) *.o *.hi

=== doc/api/Makefile ===
TOP_DIR = ../..

include $(TOP_DIR)/rules.mk

DIRS = $(SRC_DIR) $(SRC_DIR)/DBSpec $(SRC_DIR)/drivers/hsql $(SRC_DIR)/drivers/wxhaskell

.PHONY = html

all: html

html: $(addsuffix /*.hs, $(DIRS))
	$(HADDOCK) -p $(TOP_DIR)/doc/descript -t HaskellDB -h $^

clean:
	-rm -f *.html haddock.css haskell_icon.gif

## haskelldb 0.12

=== debian/changelog ===
haskelldb (0.12-8) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * Remove doc-base.

  [ Marco Silva ]
  * Use ghc instead of ghc

  [ Iain Lane ]
  * Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Wed, 25 May 2011 11:55:43 +0100

haskelldb (0.12-7) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 21:32:37 -0300

haskelldb (0.12-6) unstable; urgency=low

  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 17 Mar 2010 17:16:07 -0300

haskelldb (0.12-5) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Joachim Breitner ]
  * Fix-source-encoding.patch: Haskell sources have to be utf8. (Closes:
    #570881)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 22 Feb 2010 15:42:53 +0100

haskelldb (0.12-4) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 19:31:32 +0100

haskelldb (0.12-3) unstable; urgency=low

  * Build-Depend on the right -prof packages (Closes: #546307)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 12 Sep 2009 19:18:26 +0200

haskelldb (0.12-2) unstable; urgency=low

  * Add a profiling library package, to be consistent with the rest of the
    Debian Haskell packages. 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 09 Sep 2009 10:48:29 +0200

haskelldb (0.12-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Use Debian Haskell Group as Maintainer.
  * debian/control: Use one line per dependencie.
  * Remove spaces in the end of the lines.

  [ Joachim Breitner ]
  * New upstream release. 
  * Update packaging to current common practice 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 08 Sep 2009 19:08:37 +0200

haskelldb (0.10-5) unstable; urgency=low

  * debian/haskell-haskelldb-doc.doc-base:
    - Change doc-base section to Programming/Haskell as it should be.

 -- Arjan Oosting <arjan@debian.org>  Wed, 30 Apr 2008 23:13:40 +0200

haskelldb (0.10-4) unstable; urgency=low

  * debian/control:
    - Drop un-needed build dependencies on autotools-dev, dctrl-tools and
      libghc-mtl-prof.
    - Drop the ${binary:Version} in the dependency on haskelldb-bin which
      is build from another source package.
    - Let the VCS-* fields point to the trunk.
  * debian/haskelldb-dev.{dirs,install}: removed this cruft.
  * Setup.lhs: Removed this cruft also.

 -- Arjan Oosting <arjan@debian.org>  Wed, 30 Apr 2008 23:07:05 +0200

haskelldb (0.10-3) unstable; urgency=low

  * Fix lintian warning "doc-base-unknown-section haskelldb-api:5
    Apps/Programming"

 -- Arjan Oosting <arjan@debian.org>  Mon, 17 Mar 2008 00:01:05 +0100

haskelldb (0.10-2) unstable; urgency=low

  * Rebuild with haskell-devscripts 0.6.6 to get the correct path to the
    API documentation in the package configuration file.

 -- Arjan Oosting <arjan@debian.org>  Mon, 21 Jan 2008 02:24:04 +0100

haskelldb (0.10-1) unstable; urgency=low

  * New upstream release. (Closes: #446568)
  * Because the Haskell library has been divided into a couple of Haskell
    libraries a couple of new Debian packages corresponding to the new
    libraries are introduced.
  * Updated for GHC 6.8.2 and Cabal version 1.2.3.0:
    - debian/control:
      + Bump the build dependency on GHC to (>= 6.8.2) as we need a Cabal
        version >= 1.2
    - debian/patches/01_update-cabal-file.dpatch: 
      + Add directory, old-locale, old-time and pretty to the build
        dependecies.
      + Add FlexibleContexts, FlexibleInstances, FunctionalDependencies,
        PatternSignatures, RankNTypes, ScopedTypeVariables and
        TypeSynonymInstances to the list of needed Extensions.
  * debian/control:
    - Remove all unneccesary build dependencies.
    - Remove the haskelldb-bin binary package, which will now be build
      from haskelldb-dynamic source package.
    - Add Homepage field and use the official Vcs-* fields.
    - Bump build dependency on haskell-devscripts to 0.6.0 which ships
      dh_haskell_depends.
    - Bump Standards-Version to 3.7.3. No changes needed.
    - Make doc-base a Suggest instead of a Recommends.
    - Add ghc-doc and libghc-mtl-doc to the Recommends.
    - Rename haskelldb-doc to haskell-haskelldb-doc so dh_haskell will
      detect it as an handled package and automatically generate the
      Haddock documentation.
    - Make haskelldb-doc an transitional package.
  * debian/rules:
    - dh_haskell_install does not install empty directories anymore so no
      need to cleanup after it. It also adjusts the path to the
      documentation generated by haddock so stop adjusting it here.
    - dh_haskell now handles the generating and installation of the
      haddock documentation so remove this code as well.
  * debian/mk-haskell-depends: Removed. Replaced by dh_haskell_depends.
  * debian/watch: Update the uscan file to new upstream location.
    (Closes: #450071)
  
 -- Arjan Oosting <arjan@debian.org>  Sun, 13 Jan 2008 19:39:24 +0100



=== debian/control ===
Source: haskelldb
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 7)
 , cdbs
 , haskell-devscripts (>= 0.7)
 , ghc 
 , ghc-prof
 , ghc-doc
 , libghc-mtl-dev
 , libghc-mtl-prof
 , libghc-mtl-doc
Standards-Version: 3.9.2
Homepage: http://haskelldb.sourceforge.net/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskelldb/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskelldb

Package: libghc-haskelldb-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: Haskell library for expressing database queries
 HaskellDB is library for expressing database queries and operations
 in a type safe and declarative way. This package contains the library
 for use with GHC 6.
 .
 HaskellDB compiles a relational algebra-like syntax into SQL, submits
 the operations to the database for processing, and returns the
 results as ordinary Haskell values.

Package: libghc-haskelldb-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: Haskell library for expressing database queries; profiling libraries
 HaskellDB is library for expressing database queries and operations
 in a type safe and declarative way. This package contains the library
 for use with GHC 6.
 .
 HaskellDB compiles a relational algebra-like syntax into SQL, submits
 the operations to the database for processing, and returns the
 results as ordinary Haskell values.

Package: haskelldb-doc
Depends: haskell-haskelldb-doc, ${misc:Depends}
Architecture: all
Section: doc
Description: transitional dummy package
 This package is a dummy package and is used to easy the upgrade from
 previous versions of haskelldb-doc to haskell-haskelldb-doc.
 .
 This package can safely be removed.

Package: libghc-haskelldb-doc
Provides: haskell-haskelldb-doc
Conflicts: haskell-haskelldb-doc (<< 0.12-6)
Replaces: haskelldb-doc (<< 0.10-1), haskell-haskelldb-doc (<< 0.12-6)
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Description: API documentation of haskelldb
 The API documentation of HaskellDB, a Haskell library for expressing
 database queries and operations in a type safe and declarative way.

## haskelldb 2.1.1

=== debian/changelog ===
haskelldb (2.1.1-5build3) quantal; urgency=low

  * No-change rebuild against GHC 7.4.2-2 ABIs

 -- Iain Lane <laney@ubuntu.com>  Sat, 11 Aug 2012 13:29:58 +0000

haskelldb (2.1.1-5build2) quantal; urgency=low

  * No-change rebuild for ABI change on powerpc.

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 11 Jul 2012 12:51:24 -0400

haskelldb (2.1.1-5build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI.

 -- Ilya Barygin <randomaction@ubuntu.com>  Tue, 10 Jul 2012 00:35:12 +0400

haskelldb (2.1.1-5) unstable; urgency=low

  * Use standard docs directory, avoids upgrade problems.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 22:40:38 +0200

haskelldb (2.1.1-4) unstable; urgency=low

  * Bump mtl dependency also in debian/control 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 19:21:26 +0200

haskelldb (2.1.1-3) unstable; urgency=low

  * debian/patches/bump-mtl-dependency 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 19:17:49 +0200

haskelldb (2.1.1-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package.

 -- Clint Adams <clint@debian.org>  Thu, 09 Feb 2012 21:36:03 -0500

haskelldb (2.1.1-1) unstable; urgency=low

  * New upstream release 2.1.1
  * Update build-depends for new upstream release 
  * Don't mention 'GHC 6' in package descriptions 
  * Remove obsolete patches 

 -- Iain Lane <laney@debian.org>  Sun, 29 May 2011 12:25:35 +0100

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|haskelldb-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/haskelldb \
    ([\d\.]*\d)/

## haskelldb 2.2.1

=== debian/changelog ===
haskelldb (2.2.1-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 19 Oct 2012 22:31:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Joachim Breitner <nomeata@debian.org>
 Build-Depends: debhelper (>= 7)
  , cdbs
- , haskell-devscripts (>= 0.7)
+ , haskell-devscripts (>= 0.8.13)
  , ghc 
  , ghc-prof
  , ghc-doc
- , libghc-mtl-dev
- , libghc-mtl-prof
+ , libghc-mtl-dev (>= 1.1)
+ , libghc-mtl-dev (<< 2.2)
+ , libghc-mtl-prof 
  , libghc-mtl-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://haskelldb.sourceforge.net/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskelldb/
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskelldb
@@ -26,7 +27,7 @@
 Description: Haskell library for expressing database queries
  HaskellDB is library for expressing database queries and operations
  in a type safe and declarative way. This package contains the library
- for use with GHC 6.
+ for use with GHC.
  .
  HaskellDB compiles a relational algebra-like syntax into SQL, submits
  the operations to the database for processing, and returns the
@@ -41,7 +42,7 @@
 Description: Haskell library for expressing database queries; profiling libraries
  HaskellDB is library for expressing database queries and operations
  in a type safe and declarative way. This package contains the library
- for use with GHC 6.
+ for use with GHC.
  .
  HaskellDB compiles a relational algebra-like syntax into SQL, submits
  the operations to the database for processing, and returns the

## haskelldb 2.2.2

=== debian/changelog ===
haskelldb (2.2.2-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:23 +0200

haskelldb (2.2.2-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 08 Feb 2013 21:02:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.13)
  , ghc 
  , ghc-prof
  , ghc-doc
  , libghc-mtl-dev (>= 1.1)
- , libghc-mtl-dev (<< 2.2)
+ , libghc-mtl-dev (<< 3)
  , libghc-mtl-prof 
  , libghc-mtl-doc
 Standards-Version: 3.9.4

## haskelldb 2.2.4

=== debian/changelog ===
haskelldb (2.2.4-4) unstable; urgency=medium

  [ Joachim Breitner ]
  * General lintian cleanup

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:19 -0500

haskelldb (2.2.4-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:23 +0200

haskelldb (2.2.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:49:02 +0200

haskelldb (2.2.4-1) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 11:06:43 +0100

=== debian/control ===
Source: haskelldb
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: haskell-devscripts (>= 0.10),
 debhelper (>= 9),
 cdbs,
 ghc,
 ghc-prof,
 libghc-mtl-dev (>= 1.1),
 libghc-mtl-dev (<< 3),
 libghc-mtl-prof,
 libghc-old-locale-dev (>= 1),
 libghc-old-locale-dev (<< 2),
 libghc-old-locale-prof,
 libghc-old-time-dev (>= 1),
 libghc-old-time-dev (<< 2),
 libghc-old-time-prof,
Build-Depends-Indep: ghc-doc,
 libghc-mtl-doc,
 libghc-old-locale-doc,
 libghc-old-time-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/m4dc4p/haskelldb
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-haskelldb-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell library for expressing database queries
 HaskellDB is library for expressing database queries and operations
 in a type safe and declarative way. This package contains the library
 for use with GHC.
 .
 HaskellDB compiles a relational algebra-like syntax into SQL, submits
 the operations to the database for processing, and returns the
 results as ordinary Haskell values.

Package: libghc-haskelldb-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell library for expressing database queries; profiling libraries
 HaskellDB is library for expressing database queries and operations
 in a type safe and declarative way. This package contains the library
 for use with GHC.
 .
 HaskellDB compiles a relational algebra-like syntax into SQL, submits
 the operations to the database for processing, and returns the
 results as ordinary Haskell values.

Package: haskelldb-doc
Architecture: all
Section: doc
Depends: haskell-haskelldb-doc,
 ${misc:Depends},
Description: transitional dummy package
 This package is a dummy package and is used to easy the upgrade from
 previous versions of haskelldb-doc to haskell-haskelldb-doc.
 .
 This package can safely be removed.

Package: libghc-haskelldb-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: haskell-haskelldb-doc (<< 0.12-6),
Provides: haskell-haskelldb-doc,
Replaces: haskelldb-doc (<< 0.10-1),
 haskell-haskelldb-doc (<< 0.12-6),
Description: API documentation of haskelldb
 The API documentation of HaskellDB, a Haskell library for expressing
 database queries and operations in a type safe and declarative way.

=== debian/watch ===
version=3
http://hackage.haskell.org/package/haskelldb/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
